package com.css.txw.sso.service.yhxx;

import com.css.txw.mhzc.pojo.HtYhxxbDTO;
import com.css.txw.mhzc.pojo.YhxxbDTO;
import com.css.txw.sso.pojo.dto.session.SessionInfo;
import com.css.txw.sso.pojo.vo.oauth2.OAuth2UserInfoRespVO;

import javax.servlet.http.HttpServletRequest;

public interface YhxxService {

    SessionInfo initYhxx(String yhuuid);

    YhxxbDTO getYhxx(String yhuuid);
    
    YhxxbDTO getYhxxByDid(String did);

    SessionInfo initYhxxByDlzh(String dlzh);

    YhxxbDTO getYhxxByDlzh(String dlzh);

    SessionInfo initYhxxBySjhm(String sjhm);

    YhxxbDTO getYhxxBySjhm(String sjhm);

    SessionInfo initAdminInfo(String yhuuid);

    HtYhxxbDTO getAdminInfo(String yhuuid);

    HtYhxxbDTO getAdminInfoByDlzh(String dlzh);

    SessionInfo getSessionInfo(String yhuuid,String jguuid);

    OAuth2UserInfoRespVO getUserInfo(HttpServletRequest request);

	YhxxbDTO saveYhxxByDid(YhxxbDTO yhxx);

	YhxxbDTO getYhxxBySfzjhm(String string);

	YhxxbDTO intQyxxByDid(YhxxbDTO qyxx);

	YhxxbDTO updateDid(YhxxbDTO yhxx);    

}
